<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Classes</button><button id="all-classes-table-tab3" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab3', 2)" class="table-tab">Enum Classes</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Address integration for the ICI project.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="fr/ici/buildingActivity/util/property/AddressRef.html" title="enum class in fr.ici.buildingActivity.util.property">AddressRef</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/local/paris/AppariementBuildingBDTopo.html" title="class in fr.ici.buildingActivity.local.paris">AppariementBuildingBDTopo</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">POI from the Agence Parisienne d'URbanisme (APUR - concern also the closest cities of paris aka 'petite couronne')</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/local/paris/APURUtil.html" title="class in fr.ici.buildingActivity.local.paris">APURUtil</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/insee/BPEUtil.html" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Group of building in order to make them share their activities.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/BuildingImport.html" title="class in fr.ici.buildingActivity.building">BuildingImport</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="fr/ici/buildingActivity/util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Building integration in the ICI project.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/BuildingUtil.html" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/util/CompareHousingInferenceBetweenBDTopo2Or3.html" title="class in fr.ici.buildingActivity.util">CompareHousingInferenceBetweenBDTopo2Or3</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/getBDTopo.html" title="class in fr.ici.buildingActivity.building">getBDTopo</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Housing is a residential unit placed in a building.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/osm/ImportOSM.html" title="class in fr.ici.buildingActivity.osm">ImportOSM</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">IRIS implementation for statistical housing information.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Methods used to unify different nomenclatures from the four POI sources and nomenclatures</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html" title="class in fr.ici.buildingActivity.util">MakeCommonPOIinBuilding</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/osm/OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">OpenStreetMap point of interest. types are gotten from this <a href="https://geodatamine.fr/">project</a>
 todo complete nomenclature</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">General class for point of interest in the ICI project</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="fr/ici/buildingActivity/poi/POI.StrategyGenerationValue.html" title="enum class in fr.ici.buildingActivity.poi">POI.StrategyGenerationValue</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POIImport.html" title="class in fr.ici.buildingActivity.poi">POIImport</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POIMerging.html" title="class in fr.ici.buildingActivity.poi">POIMerging</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POISorting.html" title="class in fr.ici.buildingActivity.poi">POISorting</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POISortingNew.html" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/POIUtil.html" title="class in fr.ici.buildingActivity.poi">POIUtil</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/minister/School.html" title="class in fr.ici.buildingActivity.minister">School</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Method used to import <a href="fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee"><code>SirenePOI</code></a> from a database.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab3"><a href="fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html" title="enum class in fr.ici.buildingActivity.util.property">TypeOfHousingGeneration</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab3">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/building/UseCase.html" title="class in fr.ici.buildingActivity.building">UseCase</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="fr/ici/buildingActivity/poi/UseCase.html" title="class in fr.ici.buildingActivity.poi">UseCase</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
